{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}

{% block title %}
Problème "{{ problem.titre }}"
{% endblock %}


{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}

{% block main %}
<h1 class="text-2xl font-semibold text-center mb-10">Problème : <a href="{{ problem.titre }}">{{ problem.titre }}</a>
</h1>
<section class="shadow rounded px-4 py-4 w-full">
  <table class="w-full rounded-lg overflow-hidden border border-collapse">
    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
      <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Titre</td>
      <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ problem.titre }}</td>
    </tr>
    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
      <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Description</td>
      <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ problem.description }}</td>
    </tr>
    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
      <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Le lien</td>
      <td class="px-2.5 py-2 overflow-hidden w-[70%]"><a style="color:blue"
          href="{{ problem.link }}">{{ problem.link }}</a></td>
    </tr>
    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
      <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Date</td>
      <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ problem.created }}</td>
    </tr>
    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
      <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Signalé par</td>
      <td class="px-2.5 py-2 overflow-hidden w-[70%]"><a style="color:blue"
          href="{{ url_for('user_profil', id=problem.reporter.id) }}">{{ problem.reporter.first_name }}
          {{ problem.reporter.last_name }}</a>
      </td>
    </tr>

    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
      <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Etat</td>
      <td class="px-2.5 py-2 overflow-hidden w-[70%]">
        {% if problem.is_solved %}
        Résolu par <a style="color:blue"
          href="{{ url_for('user_profil', id=solved.solver_id) }}">{{ solved.solver.first_name }}
          {{ solved.solver.last_name }}</a>, le {{ solved.solved_at }}
        {% else %}
        Non résolu
        {% endif %}
      </td>
    </tr>
  </table>

  {% if problem.is_solved == false %}
  <div class="flex whitespace-nowrap gap-2 mt-3 w-fit mx-auto">
    <button
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2"
      onclick="window.open('{{ problem.link }}','','left=15,top=15,width=800,height=600');">
      Résoudre</button>
    <button
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
      <a href="{{ url_for('solve_problem', id=problem.id) }}">Déjà résolu</a>
    </button>
  </div>
  {% endif %}
</section>
{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}

{% block script %}
{{ super() }}
{% endblock %}